<bugID>1288831<Summary>browser_toolbox_tool_ready.js doesn't actually wait until the dom toolbox is ready</Summary><Description>+++ This bug was initially created as a clone of Bug #1276366 +++

Applying the patch from bug 1276366 that helps eliminate chrome &lt;-&gt; chrome leaks I'm seeing a failure in |browser_toolbox_tool_ready.js| [1]:

&gt; Full message: TypeError: can't access dead object
&gt; Full stack: getActiveElement@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/client/shared/vendor/react.js:20006:7
&gt; ... snip ...
&gt; DomView.prototype.initialize@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/client/dom/content/dom-view.js:50:22
&gt; DomView.prototype.onMessage@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/client/dom/content/dom-view.js:58:7
&gt; DomPanel.prototype.postContentMessage@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/client/dom/dom-panel.js:205:5
&gt; DomPanel.prototype.refresh/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/client/dom/dom-panel.js:114:7
&gt; ... snip ...

This indicates that the dom toolbox is still loading when we finish the test. Removing the dom toolbox from testing bypasses the error. As a temporary measure I can also use:

&gt; thisTestLeaksUncaughtRejectionsAndShouldBeFixed("TypeError: can't access dead object");

So in general it seems like we're testing that the toolbox is ready, asserting that it is, but it actually is not. It's possible this toolbox just likes to periodically update, if so we should properly unload it before finishing the test.

STR:
1) Apply patch from bug 1276366
2) |./mach test devtools/client/framework/test/browser_toolbox_tool_ready.js|

[1] https://dxr.mozilla.org/mozilla-central/rev/4c05938a64a7fde3ac2d7f4493aee1c5f2ad8a0a/devtools/client/framework/test/browser_toolbox_tool_ready.js</Description></bugID>